@echo -off
echo ""
echo "This utility will allow you to upgrade the firmware for APC2100."
echo "If you want to do all these functions, press Enter. If not, hit 'q'."
echo "If you want to upgrade single components like MTCX, SDLT separately,"
echo "please go to the EFIscripts folder and execute the specified scripts"
echo "separately."
echo "Do NOT reboot during this process until you see Upgrades completed."
echo ""
echo "Following will be upgraded:"
echo " MTCX FW for APC2100"
echo " FW for the SDLT/SDL3T Transmitter"

pause
echo ""
echo ""
echo "MTCXAPC2100.nsh script will be executed"
MTCXAPC2100.nsh
echo ""
echo ""
echo "SDLTAPC2100.nsh script will be executed"
SDLTAPC2100.nsh
echo ""
echo ""
echo "........Done"
echo "**********************************************************************"
echo "Upgrades completed, execute the requested actions !"
:END

